<div class="card">
    <button mat-icon-button class="menu" [matMenuTriggerFor]="menu">
        <mat-icon>more_horiz</mat-icon>
    </button>

    <mat-menu #menu="matMenu">
        <a routerLink="./{{ trainingPlan.id }}" mat-menu-item>
            <mat-icon>visibility</mat-icon>
            <span>Visualizar</span>
        </a>

        <ng-template [canView]="[1, 4]">
            <button mat-menu-item (click)="openDeleteDialog()">
                <mat-icon color="warn">delete</mat-icon>
                <span>Remover</span>
            </button>
        </ng-template>
    </mat-menu>

    <mat-icon class="plan-icon">receipt_long</mat-icon>

    <h3>
        Plano de treino <strong>{{ number + 1 }}</strong>
    </h3>

    <div class="info">
        <div class="description">
            <mat-icon>subject</mat-icon>
            {{ trainingPlan.description }}
        </div>
    </div>
</div>
